
-- [turtlesort.com, 2012]

-- Convenience table for caching font objects of certain sizes.

local lib = {}

local font
local cache = {}

function lib.setDefaultFont(fontPath)
	font = fontPath
end

function lib.get(size)
	
	if not cache[size] then
		cache[size] = love.graphics.newFont(font,size)
	end
	
	return cache[size]
end

return lib